
# Build on centos8 with serial and test on centos8
# Uses gcc 8.2.1
build:centos8_sanitizer:
  tags:
    - build
    - vtkm
    - docker
    - linux
  extends:
    - .centos8
    - .cmake_build_linux
    - .run_automatically
  variables:
    CMAKE_BUILD_TYPE: RelWithDebInfo
    CMAKE_GENERATOR: "Unix Makefiles"
    VTKM_SETTINGS: "serial+shared+openmp+asan+leak"

test:centos8_sanitizer:
  tags:
    - test
    - vtkm
    - docker
    - linux
    - privileged
  extends:
    - .centos8
    - .cmake_memcheck_linux
    - .run_automatically
  variables:
    OMP_NUM_THREADS: 4
    CTEST_MEMORYCHECK_TYPE: LeakSanitizer
    CTEST_EXCLUSIONS: smoke_test_built_against_test_install

  dependencies:
    - build:centos8_sanitizer
  needs:
    - build:centos8_sanitizer


# Build on centos8 without tests
# Uses gcc 8.2.1
build:centos8:
  tags:
    - build
    - vtkm
    - docker
    - linux
  extends:
    - .centos8
    - .cmake_build_linux
    - .run_automatically
  variables:
    CMAKE_BUILD_TYPE: RelWithDebInfo
    CMAKE_GENERATOR: "Unix Makefiles"
    VTKM_SETTINGS: "serial+no_testing"
